org.keycloak.authorization.policy.provider.drools

## Class DroolsPolicyAdminResource

- java.lang.Object
- - org.keycloak.authorization.policy.provider.drools.DroolsPolicyAdminResource

- All Implemented Interfaces:
    PolicyProviderAdminService

      public class DroolsPolicyAdminResource
      extends Object
      implements PolicyProviderAdminService

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsPolicyAdminResource(ResourceServer resourceServer, DroolsPolicyProviderFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onCreate(Policy policy)`
    `void` | `onRemove(Policy policy)`
    `void` | `onUpdate(Policy policy)`
    `javax.ws.rs.core.Response` | `resolveModules(PolicyRepresentation policy)`
    `javax.ws.rs.core.Response` | `resolveSessions(PolicyRepresentation policy)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsPolicyAdminResource

          public DroolsPolicyAdminResource(ResourceServer resourceServer,
                                           DroolsPolicyProviderFactory factory)

  - ### Method Detail

    - #### onCreate

          public void onCreate(Policy policy)

      Specified by:
        `onCreate` in interface `PolicyProviderAdminService`

    - #### onUpdate

          public void onUpdate(Policy policy)

      Specified by:
        `onUpdate` in interface `PolicyProviderAdminService`

    - #### onRemove

          public void onRemove(Policy policy)

      Specified by:
        `onRemove` in interface `PolicyProviderAdminService`

    - #### resolveModules

          @Path(value="/resolveModules")
           @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response resolveModules(PolicyRepresentation policy)

    - #### resolveSessions

          @Path(value="/resolveSessions")
           @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response resolveSessions(PolicyRepresentation policy)

Copyright © 2016 JBoss by Red Hat. All rights reserved.